import { MidwayConfig } from '@midwayjs/core';
/**数据库ip */
const ip = 'localhost'; //localhost
/**数据库名 */
// const dbName = 'cxyy';
/**日志数据库名 */
const logsDB = 'cxyy_logs';
/**数据库用户名 */
const dbUsername = 'system';
/**数据库密码 */
const dbPwd = '1234qwer!@#$';
/**elasticsearch ip */
const esIp = '127.0.0.1'
/**elasticsearch 端口 */
const esPort= '9200'
/**elasticsearch 用户名 */
const esUserName = 'elastic'
/**elasticsearch 密码 */
const esPassword = 'NAjqFz_7tS2DkdpU7p*x'
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1697684406848_4978',
  // 请求记录在redis留存时间,超过时间.数据变化将不会记录.以秒为单位--5分钟
  requestTimeLimit: 300,
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: 3600, // 3600
  },
  koa: {
    port: 9701,
    globalPrefix: '/cxyy/es',
    queryParseMode: 'extended',
  },
  swagger: {
    swaggerPath: '/doc/api',
  },
  elasticsearch: {
    node: `http://${esIp}:${esPort}`,
    auth: {
      username: esUserName,
      password: esPassword,
    },
  },
  typeorm: {
    dataSource: {
      default: {
        database: logsDB,
        username: dbUsername,
        password: dbPwd,
        host: ip,
        port: 54321,
        entities: ['./entityLogs'],
        type: 'postgres',
        synchronize: false, // 如果第一次使用，不存在表，有同步的需求可以写 true，注意会丢数据
        logging: false,
      },
    },
  },
} as MidwayConfig;
